curl --request PATCH \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"op": "add",
"path": "<string>",
"value": {}
}
'{}PatchProjectVariablesSchema patches the JSON schema for the project’s dynamic variables. This allows you to add, remove or edit the schema for the project’s dynamic variables.
curl --request PATCH \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"op": "add",
"path": "<string>",
"value": {}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
DynamicVariablesSchemaPatch is the request body for updating the project's dynamic variables.
add, remove, replace The path to the field to update. This should be a JSON path to the field to update. For example, if you want
to update/remove the dynamic variables newVar in the following schema:
{
"type": "object",
"properties": {
"newVar": {
"type": "string"
}
}
}The path would be /properties/newVar.
The value to set the field to. This should be valid JSON schema containing the name of the variable, its type
and any other properties. An example would be {"newVar": {"type": "string"}}.
OK
DynamicVariablesSchema is the JSON schema for the project's dynamic variables.